For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Collection Items
        • GETGet Collection Item
        • POSTCreate Collection Item(s)
        • POSTCreate Localized Collection Item(s)
        • PATCHUpdate Single Collection Item
        • PATCHUpdate Collection Item(s)
        • DELDelete Single Collection Item
        • DELDelete Collection Item(s)
        • POSTPublish Collection Item(s)
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollection ItemsStaged Items

Create Localized Collection Item(s)

POST
https://api.webflow.com/beta/collections/:collection_id/items/bulk
POST
/beta/collections/:collection_id/items/bulk
$curl -X POST https://api.webflow.com/beta/collections/580e63fc8c9a982ac9b8b745/items/bulk \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "cmsLocaleIds": [
> "66f6e966c9e1dc700a857ca3",
> "66f6e966c9e1dc700a857ca4",
> "66f6e966c9e1dc700a857ca5"
> ],
> "isArchived": false,
> "isDraft": true,
> "fieldData": {
> "name": "Don’t Panic",
> "slug": "dont-panic"
> }
>}'
1{
2 "id": "580e64008c9a982ac9b8b754",
3 "items": [
4 {
5 "id": "66f6ed9576ddacf3149d5ea6",
6 "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
7 "lastPublished": null,
8 "lastUpdated": "2024-02-28T19:25:39.942Z",
9 "createdOn": "2024-02-28T19:25:39.942Z",
10 "isArchived": false,
11 "isDraft": true,
12 "fieldData": {
13 "name": "Don't Panic",
14 "slug": "dont-panic"
15 }
16 },
17 {
18 "id": "66f6ed9576ddacf3149d5ea6",
19 "cmsLocaleId": "66f6e966c9e1dc700a857ca4",
20 "lastPublished": null,
21 "lastUpdated": "2024-02-28T19:25:39.942Z",
22 "createdOn": "2024-02-28T19:25:39.942Z",
23 "isArchived": false,
24 "isDraft": true,
25 "fieldData": {
26 "name": "Don't Panic",
27 "slug": "dont-panic"
28 }
29 },
30 {
31 "id": "66f6ed9576ddacf3149d5ea6",
32 "cmsLocaleId": "66f6e966c9e1dc700a857ca5",
33 "lastPublished": null,
34 "lastUpdated": "2024-02-28T19:25:39.942Z",
35 "createdOn": "2024-02-28T19:25:39.942Z",
36 "isArchived": false,
37 "isDraft": true,
38 "fieldData": {
39 "name": "Don't Panic",
40 "slug": "dont-panic"
41 }
42 }
43 ]
44}
Create an item or multiple items in a CMS Collection across multiple corresponding locales. **Notes:** - This endpoint can create up to 100 items in a request. - If the `cmsLocaleIds` parameter is undefined or empty and localization is enabled, items will only be created in the primary locale. Required scope | `CMS:write`
Was this page helpful?
Previous

Update Single Collection Item

Next
Built with

Create an item or multiple items in a CMS Collection across multiple corresponding locales.

Notes:

  • This endpoint can create up to 100 items in a request.
  • If the cmsLocaleIds parameter is undefined or empty and localization is enabled, items will only be created in the primary locale.

Required scope | CMS:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Request

Details of the item to create
cmsLocaleIdslist of stringsOptional
Array of identifiers for the locales where the item will be created
isArchivedbooleanOptionalDefaults to false
Indicates whether the item is archived.
isDraftbooleanOptionalDefaults to true
Indicates whether the item is in draft state.
fieldDataobject or list of objectsOptional

Response

Request was successful
idstringRead-only
Unique identifier for the Item
cmsLocaleIdslist of strings
Array of identifiers for the locales where the item will be created
lastPublishedstring or nullRead-onlyformat: "date-string"
The date the item was last published
lastUpdatedstringRead-onlyformat: "date-string"
The date the item was last updated
createdOnstringRead-onlyformat: "date-string"
The date the item was created
isArchivedbooleanDefaults to false
Boolean determining if the Item is set to archived
isDraftbooleanDefaults to true
Boolean determining if the Item is set to draft
fieldDataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error